28 Февраля 2021, 09:05

KazSid

Автор Vicpo, 15 Декабря 2011, 14:54

« предыдущая тема - следующая тема »

0 Пользователей и 1 Гость просматривают эту тему.

Vicpo

15 Декабря 2011, 14:54 Последнее редактирование: 15 Декабря 2011, 16:18 от sotrud_nik
Сегодня @ анонсировал очередную сборку LiveCD Kazsid
ЦитироватьКазсид -- в данный момент, это проект «одного человека». Список пакетов и приложений выбирается лично мною. Год назад приоритет был за пакетами, у которых есть локализация, теперь же кладется все нужное. Я могу и с английской локализацией работать. если вам трудно, и вы не энтузиаст казахского, готовый сидеть за смешанным казахско- и англоязычным рабочим столом, то переключайтесь на русский язык. Все равно, Казсид останется удобным Live CD, который можно запустить с USB флешки по-быстрому.

Более подробную информацию можно прочесть на блоге Бауржана
Скачать образ можно здесь

Venhard

15 Декабря 2011, 15:44 #1 Последнее редактирование: 15 Декабря 2011, 15:45 от Venhard
А в контакте на нем можно будет выходить ? http://linuxforum.kz/public/style_emoticons/<#EMO_DIR#>/biggrin.gif\' class=\'bbc_emoticon\' alt=\':D\' /> (шутка)... Конкретно интересует возможность установки в гос.учреждениях, работа с гос.закупками. Криптопровайдер для rhel 5 есть на сайте pki.gov.kz http://www.pki.gov.k...download/cripto, думаю с бубном можно как-нибудь прикрутить.
Какое ядро, граф.окружение, набор программ ? Каковы системные требования ?

sotrud_nik

15 Декабря 2011, 16:12 #2 Последнее редактирование: 15 Декабря 2011, 16:14 от sotrud_nik
Цитата: Venhard от 15 Декабря 2011, 15:44А в контакте на нем можно будет выходить ? http://linuxforum.kz/public/style_emoticons/<#EMO_DIR#>/biggrin.gif\' class=\'bbc_emoticon\' alt=\':D\' /> (шутка)... Конкретно интересует возможность установки в гос.учреждениях, работа с гос.закупками. Криптопровайдер для rhel 5 есть на сайте pki.gov.kz http://www.pki.gov.k...download/cripto, думаю с бубном можно как-нибудь прикрутить.
Какое ядро, граф.окружение, набор программ ? Каковы системные требования ?

Tumar CSP запускается, смотрите в разделе форума про Казсид Только надо проверить, работает ли оно с OpenJDK. Будет время - проверю и отпишусь.

Debian sid обновленный по 14-DEC-2011. DE - Xfce 4.8

linux-image-3.1.0-1-686-pae   3.1.5-1
iceweasel         8.0-3+b1
libreoffice         3.4.4-2
gimp            2.6.11-7
deadbeef         0.5.1-1
wine            1.3.32-0.frickel.1
openjdk-6-jre         6b24~pre1-1

Ну и в общем, audacity, gajim, shotwell, blueman, freemind, slimevolley и куча всего.

Напихано много всего, так как сжимается xz, скрипты сборки в открытом доступе, так что модифицировать просто https://github.com/crayxt/kazsid.

Вечером прилеплю таг kazsid-20111214 в git-репозиторий.

Кстати, один из известных багов - в LiveCD нужно руками вводить имя пользователя и пароль, читайте на блоге изза чего так получилось.

sotrud_nik

Для криптопровайдера нужно доустановить icedtea-plugin.
Добавлю в список пакетов.

А по-моему, раз использовать для таких целей, то нужно просто скачать Java с java.com,
который бинарником идет, распаковать его куда-нить, и прописать путь к нему типа
export JAVA_HOME=/opt/java

Кажись так должно заработать.

sun-java6-jre был заменен на openjdk6-jre потому что Oracle сменила лицензию на Java,
и стало невозможным распространять ее в составе Debian.